/*
 Navicat Premium Data Transfer

 Source Server         : 250
 Source Server Type    : MySQL
 Source Server Version : 50743
 Source Host           : 192.168.0.250:3306
 Source Schema         : device-platform

 Target Server Type    : MySQL
 Target Server Version : 50743
 File Encoding         : 65001

 Date: 13/02/2025 16:20:40
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for mortals_sys_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_area`;
CREATE TABLE `mortals_sys_area`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `ancestors` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域名称',
  `iid` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一体化的ID号',
  `pid` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一体化的父id',
  `haveSonArea` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否有下级区域（True.是，False.否）',
  `haveSonDept` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否有下级部门（True.是，False.否）',
  `haveGetDept` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否获取部门（true.是，false.否）',
  `haveGetMatterList` char(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否获取事项列表（true.是，false.否）',
  `areaCode` char(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编码',
  `areaLevel` tinyint(2) NULL DEFAULT 1 COMMENT '区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)',
  `shortName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称简称',
  `domain` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '访问地址',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '区域状态 (0.停用，1.正常)',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '区域表';

-- ----------------------------
-- Records of mortals_sys_area
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_sys_site
-- ----------------------------
DROP TABLE IF EXISTS `mortals_sys_site`;
CREATE TABLE `mortals_sys_site`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `siteName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `siteCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点编号',
  `areaID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域Id',
  `areaCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编号',
  `areaName` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域名称',
  `proCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '省编码',
  `cityCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '市编码',
  `districtCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区编码',
  `siteIp` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点服务器ip',
  `sitePort` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点服务器端口',
  `longitude` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '经度',
  `latitude` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '纬度',
  `siteTel` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '中心联系电话',
  `detailAddress` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '中心详细地址',
  `siteRemark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '中心介绍',
  `amWorkStartTime` datetime(0) NULL DEFAULT NULL COMMENT '上午上班开始时间',
  `amWorkEndTime` datetime(0) NULL DEFAULT NULL COMMENT '上午上班结束时间',
  `pmWorkStartTime` datetime(0) NULL DEFAULT NULL COMMENT '下午上班开始时间',
  `pmWorkEndTime` datetime(0) NULL DEFAULT NULL COMMENT '下午上班结束时间',
  `workday1` tinyint(2) NULL DEFAULT 1 COMMENT '周一 (1.上班，0.不上)',
  `workday2` tinyint(2) NULL DEFAULT 1 COMMENT '周二 (1.上班，0.不上)',
  `workday3` tinyint(2) NULL DEFAULT 1 COMMENT '周三 (1.上班，0.不上)',
  `workday4` tinyint(2) NULL DEFAULT 1 COMMENT '周四 (1.上班，0.不上)',
  `workday5` tinyint(2) NULL DEFAULT 1 COMMENT '周五 (1.上班，0.不上)',
  `workday6` tinyint(2) NULL DEFAULT 0 COMMENT '周六 (1.上班，0.不上)',
  `workday7` tinyint(2) NULL DEFAULT 0 COMMENT '周日 (1.上班，0.不上)',
  `level` int(4) NULL DEFAULT 1 COMMENT '楼层',
  `building` int(4) NULL DEFAULT 1 COMMENT '楼栋',
  `logoPath` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'logoPath',
  `englishName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名称',
  `leadingOfficial` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `leadingOfficialTelephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电话',
  `modelIds` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部署模块，逗号分隔',
  `createTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `updateTime` datetime(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点表';

-- ----------------------------
-- Records of mortals_sys_site
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_alarm_config
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_alarm_config`;
CREATE TABLE `mortals_xhx_alarm_config`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `productId` bigint(20) NOT NULL COMMENT '产品',
  `alarmType` tinyint(2) NOT NULL COMMENT '告警类型(0.离线)',
  `alarmLevel` tinyint(2) NOT NULL COMMENT '告警级别,(0.危险，1.次要，2.一般)',
  `alarmPusW1ay` tinyint(2) NOT NULL COMMENT '推送方式,(0.不推送，1.短信)',
  `enabled` tinyint(2) NOT NULL COMMENT '是否启用(0.不启用，1.启用)',
  `remark` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备告警配置';

-- ----------------------------
-- Records of mortals_xhx_alarm_config
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_alarm_config` VALUES (1, 1, 0, 0, 0, 1, '', '2023-06-15 15:04:50', 1, '2023-08-10 15:43:03'), (3, 3, 0, 2, 0, 1, '', '2023-07-18 16:08:23', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_alarm_sms_send
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_alarm_sms_send`;
CREATE TABLE `mortals_xhx_alarm_sms_send`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `mobile` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '联系电话',
  `receiver` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接收人员',
  `sendMess` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '发送内容',
  `sendStatus` tinyint(2) NOT NULL COMMENT '发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)',
  `sendTime` datetime(0) NOT NULL COMMENT '发送时间',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '短信发送记录';

-- ----------------------------
-- Records of mortals_xhx_alarm_sms_send
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_app_publish
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_app_publish`;
CREATE TABLE `mortals_xhx_app_publish`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `appCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用编码',
  `appName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用名称',
  `filePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件路径地址',
  `distributeFilePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件部署路径地址',
  `appType` tinyint(2) NOT NULL COMMENT '应用类型(0.前端，1.后端)',
  `distribute` tinyint(2) NOT NULL COMMENT '是否部署(0.否，1.是)',
  `version` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '版本',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '应用发布部署';

-- ----------------------------
-- Records of mortals_xhx_app_publish
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_area`;
CREATE TABLE `mortals_xhx_area`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键,自增长',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '上级区域ID',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域名称',
  `level` tinyint(4) NULL DEFAULT NULL COMMENT '区域级别，按所处树的节点层次',
  `code` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域编码，按全国省市编码',
  `contactsPeople` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域负责人',
  `contactsMobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '区域负责人电话',
  `childSize` int(11) NULL DEFAULT 0 COMMENT '子区域数量，默认0',
  `maxChildId` int(11) NULL DEFAULT 0 COMMENT '子区域的最大ID，默认0',
  `status` tinyint(4) NULL DEFAULT 1 COMMENT '状态，0停用，1启用',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户ID',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '区域信息';

-- ----------------------------
-- Records of mortals_xhx_area
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device`;
CREATE TABLE `mortals_xhx_device`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `deviceName` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备名称',
  `deviceCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备编码',
  `deviceSN` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备SN码',
  `deviceMac` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备的MAC地址',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `siteCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点编号，来源基础服务平台',
  `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `platformId` bigint(20) NULL DEFAULT NULL COMMENT '平台系统Id',
  `platformName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '平台系统名称',
  `productId` bigint(20) NULL DEFAULT NULL COMMENT '产品Id',
  `productCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '产品编码',
  `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名称',
  `skinId` bigint(20) NULL DEFAULT NULL COMMENT '皮肤id',
  `skinName` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '皮肤名称',
  `hallId` bigint(20) NULL DEFAULT NULL COMMENT '大厅Id',
  `hallName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '大厅名称',
  `showSms` tinyint(2) NULL DEFAULT 1 COMMENT '是否显示短信(0.否，1.是)',
  `showPrint` tinyint(2) NULL DEFAULT 1 COMMENT '是否显示打印机(0.否，1.是)',
  `showWechatQrCode` tinyint(2) NULL DEFAULT 1 COMMENT '是否显示小程序二维码(0.否，1.是)',
  `orgName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属机构',
  `homeUrl` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '首页地址',
  `deviceFirmId` bigint(20) NULL DEFAULT NULL COMMENT '设备生产厂商ID',
  `deviceFirmname` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备生产厂商名称',
  `deviceSrc` tinyint(2) NULL DEFAULT NULL COMMENT '设备来源(0.子设备，1.网关设备，2.直连设备)',
  `deviceDataSourceWay` tinyint(2) NULL DEFAULT NULL COMMENT '数据获取方式(0.主动上报，1被动拉取)',
  `lon` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '经度',
  `lati` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '经度',
  `deviceInBuilding` tinyint(2) NULL DEFAULT NULL COMMENT '所属楼栋',
  `deviceInFloor` tinyint(2) NULL DEFAULT NULL COMMENT '所属楼层',
  `resolution` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '设备分辨率',
  `resolutionValue` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '设备分辨率',
  `defectsLiabilityPeriod` datetime(0) NULL DEFAULT NULL COMMENT '保修期至',
  `leadingOfficial` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `leadingOfficialTelephone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `isReceiveMess` tinyint(2) NULL DEFAULT NULL COMMENT '是否接收异常短(0.否，1.是)',
  `ip` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备访问ip',
  `centernum` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '中心设备编码',
  `port` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '端口',
  `deviceTopic` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备topic信息',
  `deviceStatus` tinyint(2) NULL DEFAULT NULL COMMENT '设备状态 (0.未激活，1.离线,2.在线)',
  `enabled` tinyint(2) NULL DEFAULT NULL COMMENT '启用状态 (0.停止，1.启用)',
  `deviceAuthCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `deviceRemark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `onlineTime` datetime(0) NULL DEFAULT NULL COMMENT '最近上线时间',
  `offlineTime` datetime(0) NULL DEFAULT NULL COMMENT '最近离线时间',
  `devicePhotoPath` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `deleted` tinyint(2) NULL DEFAULT NULL COMMENT '是否删除，(0.否，1.是)',
  `deviceVersion` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备版本',
  `source` tinyint(2) NULL DEFAULT NULL,
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `deviceCode`(`deviceCode`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE,
  INDEX `productId`(`productId`) USING BTREE,
  INDEX `deviceStatus`(`deviceStatus`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备';

-- ----------------------------
-- Records of mortals_xhx_device
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_alarm_info
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_alarm_info`;
CREATE TABLE `mortals_xhx_device_alarm_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `alarmTime` datetime(0) NULL DEFAULT NULL COMMENT '告警时间',
  `alarmDevice` bigint(20) NOT NULL COMMENT '告警设备Id',
  `deviceCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '设备编码',
  `deviceName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '设备名称',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `alarmType` tinyint(2) NOT NULL COMMENT '告警类型,(0.离线)',
  `alarmLevel` tinyint(2) NOT NULL COMMENT '告警级别(0.危险，1.次要，2.一般)',
  `alarmReceivePersonnel` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接收人员[设备管理的责任人]',
  `receivePersonnelTelephone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接收人员电话',
  `alarmStatus` tinyint(2) NULL DEFAULT NULL COMMENT '告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)',
  `alarmContent` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '告警详细内容',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `push` tinyint(2) NULL DEFAULT 0 COMMENT '是否推送',
  `productId` bigint(20) NULL DEFAULT 0 COMMENT '产品Id',
  `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '产品编码',
  `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '产品名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备告警日志';

-- ----------------------------
-- Records of mortals_xhx_device_alarm_info
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_log`;
CREATE TABLE `mortals_xhx_device_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `traceID` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'traceId,日志追踪id',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `deviceId` bigint(20) NULL DEFAULT NULL COMMENT '设备ID',
  `deviceCode` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备编号',
  `deviceName` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备名称，设置设备名称。',
  `messageHead` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '业务消息头标识',
  `logType` tinyint(2) NOT NULL COMMENT '消息类型，(0.上行，1.下行)',
  `content` varchar(2048) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '内容',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `logType`(`logType`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备日志';

-- ----------------------------
-- Records of mortals_xhx_device_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_message_stat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_message_stat`;
CREATE TABLE `mortals_xhx_device_message_stat`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `productId` bigint(20) NULL DEFAULT NULL COMMENT '产品Id',
  `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品编码',
  `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名称',
  `alarmTotalCount` int(9) NOT NULL DEFAULT 0 COMMENT '今日告警数量',
  `pushTotalCount` int(9) NOT NULL DEFAULT 0 COMMENT '今日消息推送数量',
  `uploadMessageTotalCount` int(9) NOT NULL DEFAULT 0 COMMENT '今日上行消息数量',
  `downloadMessageTotalCount` int(9) NOT NULL DEFAULT 0 COMMENT '今日下行消息数量',
  `year` int(9) NOT NULL COMMENT '年',
  `month` int(9) NOT NULL COMMENT '月',
  `day` int(9) NOT NULL COMMENT '日',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `siteId`(`siteId`) USING BTREE,
  INDEX `productId`(`productId`) USING BTREE,
  INDEX `productCode`(`productCode`) USING BTREE,
  INDEX `productName`(`productName`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 552 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备消息统计';

-- ----------------------------
-- Records of mortals_xhx_device_message_stat
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_device_message_stat` VALUES (1, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (2, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (3, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (4, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (5, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (6, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (7, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (8, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (9, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (10, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (11, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (12, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (13, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (14, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (15, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (16, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (17, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (18, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (19, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:02:51', NULL, '2024-11-22 23:53:17'), (20, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (21, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (22, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (23, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (24, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (25, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (26, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (27, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (28, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (29, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (30, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (31, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (32, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (33, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (34, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (35, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (36, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (37, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (38, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (39, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (40, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (41, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (42, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (43, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (44, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (45, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (46, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (47, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (48, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (49, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (50, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (51, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (52, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (53, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (54, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (55, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (56, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (57, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (58, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:48'), (59, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:48'), (60, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:48'), (61, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:48'), (62, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:48'), (63, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:48'), (64, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (65, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (66, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (67, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (68, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (69, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (70, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (71, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (72, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (73, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (74, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (75, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (76, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:49'), (77, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (78, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (79, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (80, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (81, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (82, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (83, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (84, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (85, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (86, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (87, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (88, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (89, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (90, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (91, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (92, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (93, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (94, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (95, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (96, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (97, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (98, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (99, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (100, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (101, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (102, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (103, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (104, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (105, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (106, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (107, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (108, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (109, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (110, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (111, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (112, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (113, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (114, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (115, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (116, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (117, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (118, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (119, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (120, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (121, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (122, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (123, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (124, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (125, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (126, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (127, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (128, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (129, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (130, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (131, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (132, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (133, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (134, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (135, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (136, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (137, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (138, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (139, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (140, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (141, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (142, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (143, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (144, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (145, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (146, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (147, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (148, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (149, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (150, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (151, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (152, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (153, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (154, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (155, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (156, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (157, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (158, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (159, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (160, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (161, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (162, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (163, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (164, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (165, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (166, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (167, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (168, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (169, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (170, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (171, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (172, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (173, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (174, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (175, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (176, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (177, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (178, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (179, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (180, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (181, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (182, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (183, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (184, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (185, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (186, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (187, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (188, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (189, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (190, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (191, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (192, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (193, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (194, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (195, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (196, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (197, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (198, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (199, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (200, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (201, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (202, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (203, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (204, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (205, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (206, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (207, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (208, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (209, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:06', NULL, '2024-12-24 23:52:13'), (210, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (211, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (212, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (213, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (214, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (215, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (216, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (217, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (218, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (219, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (220, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (221, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (222, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (223, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (224, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (225, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (226, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (227, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (228, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (229, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (230, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (231, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (232, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (233, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (234, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (235, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (236, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (237, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (238, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (239, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (240, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (241, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (242, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (243, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (244, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (245, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (246, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (247, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (248, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (249, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (250, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (251, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (252, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (253, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (254, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (255, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (256, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (257, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (258, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (259, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (260, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (261, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (262, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (263, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (264, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (265, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (266, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (267, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (268, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (269, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (270, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (271, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (272, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (273, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (274, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (275, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (276, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (277, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (278, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (279, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (280, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (281, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (282, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (283, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (284, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (285, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (286, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (287, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (288, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (289, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (290, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (291, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (292, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (293, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (294, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (295, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (296, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (297, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (298, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (299, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (300, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (301, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (302, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (303, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (304, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (305, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (306, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (307, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (308, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (309, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (310, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (311, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (312, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (313, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (314, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (315, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (316, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (317, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (318, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (319, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (320, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (321, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (322, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (323, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:50:27'), (324, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (325, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (326, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (327, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (328, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (329, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (330, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (331, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (332, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (333, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (334, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (335, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (336, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (337, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (338, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (339, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (340, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (341, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (342, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (343, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (344, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (345, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (346, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (347, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (348, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (349, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (350, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (351, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (352, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (353, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (354, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (355, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (356, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (357, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (358, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (359, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (360, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (361, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (362, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (363, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (364, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (365, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (366, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (367, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (368, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (369, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (370, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (371, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (372, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (373, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (374, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (375, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (376, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (377, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (378, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (379, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (380, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (381, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (382, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (383, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (384, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (385, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (386, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (387, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (388, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (389, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (390, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (391, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (392, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (393, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (394, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (395, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (396, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (397, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (398, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (399, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (400, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (401, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (402, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (403, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (404, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (405, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (406, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (407, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (408, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (409, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (410, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (411, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (412, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (413, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (414, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (415, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (416, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (417, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (418, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (419, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (420, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (421, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (422, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (423, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (424, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (425, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (426, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (427, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (428, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (429, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (430, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (431, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (432, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (433, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (434, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (435, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (436, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (437, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (438, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (439, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (440, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (441, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (442, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (443, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (444, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (445, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (446, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (447, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (448, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (449, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (450, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (451, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (452, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (453, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (454, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (455, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (456, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (457, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:46', NULL, '2025-02-09 23:51:58'), (458, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:46', NULL, '2025-02-09 23:51:58'), (459, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:46', NULL, '2025-02-09 23:51:58'), (460, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:46', NULL, '2025-02-09 23:51:58'), (461, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (462, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (463, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (464, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (465, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (466, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (467, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (468, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (469, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (470, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (471, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (472, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (473, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (474, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (475, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:47', NULL, '2025-02-09 23:51:58'), (476, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (477, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (478, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (479, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (480, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (481, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (482, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (483, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (484, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (485, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (486, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (487, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (488, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (489, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (490, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (491, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (492, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (493, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (494, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (495, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (496, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (497, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (498, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (499, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (500, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (501, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (502, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (503, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (504, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (505, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (506, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (507, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (508, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (509, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (510, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (511, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (512, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (513, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (514, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (515, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (516, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (517, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (518, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (519, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (520, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (521, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (522, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (523, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (524, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (525, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (526, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (527, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (528, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (529, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (530, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (531, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (532, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:43', NULL, '2025-02-12 23:57:53'), (533, 1, 1, 'pdj', '排队机', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (534, 1, 4, 'jzxsp', '集中显示屏', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (535, 1, 5, 'pjq', '评价器', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (536, 1, 6, 'xxfbp', '信息发布屏', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (537, 1, 7, 'dsj', '导视机', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (538, 1, 8, 'zzfwzd', '自助服务终端', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (539, 1, 9, 'tdj', '填单机', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (540, 1, 12, 'ledtp', 'LED通屏', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (541, 1, 13, 'qjg', '取件柜', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (542, 1, 15, 'bkb', '背靠背评价设备', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (543, 1, 18, 'cqj', '存取件', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (544, 1, 19, 'zmszzfwzd', '桌面式自助服务终端', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (545, 1, 22, 'hjqpjq', '呼叫评价二合一', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (546, 1, 23, 'ckp', '窗口屏', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (547, 1, 24, 'xxgk', '智慧信息公开', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (548, 1, 25, 'ybj', '样表机', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (549, 1, 26, 'zzdyzd', '证照打印终端', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (550, 1, 28, 'hjq', '呼叫器', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43'), (551, 1, 29, 'cgcxj', '采购网查询机', 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:43');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_module
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_module`;
CREATE TABLE `mortals_xhx_device_module`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `moduleName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模块名称',
  `moduleMsgCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模块消息编码，与上报消息头编码一致，唯一',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备模块信息';

-- ----------------------------
-- Records of mortals_xhx_device_module
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_module_distribute
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_module_distribute`;
CREATE TABLE `mortals_xhx_device_module_distribute`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `productId` bigint(20) NULL DEFAULT NULL COMMENT '产品Id',
  `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品编码',
  `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名称',
  `imageResolution` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '分辨率',
  `imageResolutionValue` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '分辨率值',
  `filePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件相对路径地址',
  `distributeFilePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件部署路径地址',
  `version` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '版本号',
  `distribute` tinyint(2) NOT NULL COMMENT '是否部署(0.否，1.是)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `siteCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点编号，来源基础服务平台',
  `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点名称',
  `selected` tinyint(2) NOT NULL DEFAULT 0 COMMENT '是否默认选择分辨率(0.否，1.是)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备前端模块部署';

-- ----------------------------
-- Records of mortals_xhx_device_module_distribute
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_device_module_distribute` VALUES (1, 1, 'pdj', '排队机', '1080x1920', '1080x1920', '/file/uploadfile/1735868496052.zip', '/home/publish/app/homeDeviceUrl/1/pdj/1080x1920', '1.0.0', 1, '2025-01-03 09:41:41', NULL, '2025-01-03 09:41:48', 1, '', '', 1), (2, 23, 'ckp', '窗口屏', '1920x1080', '1920x1080', '/file/uploadfile/1735868815378.zip', '/home/publish/app/homeDeviceUrl/1/ckp/1920x1080', '1.0.0', 1, '2025-01-03 09:46:59', NULL, '2025-01-03 09:48:54', 1, '', '', 1), (3, 22, 'hjqpjq', '呼叫评价二合一', '1920x1080', '1920x1080', '/file/uploadfile/1735868928678.zip', '/home/publish/app/homeDeviceUrl/1/hjqpjq/1920x1080', '1.0.0', 1, '2025-01-03 09:48:52', NULL, '2025-01-03 09:48:57', 1, '', '', 1), (4, 9, 'tdj', '填单机', '1920x1080', '1920x1080', '/file/uploadfile/1735869042422.zip', '/home/publish/app/homeDeviceUrl/1/tdj/1920x1080', '1.0.0', 1, '2025-01-03 09:50:44', NULL, '2025-01-03 09:50:46', 1, '', '', 1), (5, 7, 'dsj', '导视机', '1920x1080', '1920x1080', '/file/uploadfile/1735869818304.zip', '/home/publish/app/homeDeviceUrl/1/dsj/1920x1080', '1.0.0', 1, '2025-01-03 10:03:53', NULL, '2025-01-03 10:03:56', 1, '', '', 1), (6, 25, 'ybj', '样表机', '1920x1080', '1920x1080', '/file/uploadfile/1735869895874.zip', '/home/publish/app/homeDeviceUrl/1/ybj/1920x1080', '1.0.0', 1, '2025-01-03 10:04:57', NULL, '2025-01-03 10:05:01', 1, '', '', 1), (7, 28, 'hjq', '呼叫器', '1920x1080', '1920x1080', '/file/uploadfile/1735869975662.zip', '/home/publish/app/homeDeviceUrl/1/hjq/1920x1080', '1.0.0', 1, '2025-01-03 10:06:21', NULL, '2025-01-03 10:06:24', 1, '', '', 1), (8, 26, 'zzdyzd', '证照打印终端', '1920x1080', '1920x1080', '/file/uploadfile/1735871057975.zip', '/home/publish/app/homeDeviceUrl/1/zzdyzd/1920x1080', '1.0.0', 1, '2025-01-03 10:24:22', NULL, '2025-01-03 10:24:24', 1, '', '', 1), (9, 8, 'zzfwzd', '自助服务终端', '1920x1080', '1920x1080', '/file/uploadfile/1736311030359.zip', '/home/publish/app/homeDeviceUrl/1/zzfwzd/1920x1080', '1.0.6', 1, '2025-01-07 10:05:50', 1, '2025-01-08 12:37:13', 1, '', '', 1);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_module_use
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_module_use`;
CREATE TABLE `mortals_xhx_device_module_use`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `moduleName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模块名称',
  `moduleMsgCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模块消息编码',
  `deviceId` bigint(20) NOT NULL COMMENT '所属设备',
  `useNum` int(11) NULL DEFAULT NULL COMMENT '调用次数',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备模块使用频率';

-- ----------------------------
-- Records of mortals_xhx_device_module_use
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_device_stat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device_stat`;
CREATE TABLE `mortals_xhx_device_stat`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `deviceTotalCount` int(9) NULL DEFAULT NULL COMMENT '设备总数',
  `deviceAddCount` int(9) NULL DEFAULT NULL COMMENT '昨日新增减少设备数量',
  `siteTotalCount` int(9) NULL DEFAULT NULL COMMENT '监控站点数量',
  `siteAddCount` int(9) NULL DEFAULT NULL COMMENT '昨日新增站点数量',
  `deviceOnlineCount` int(9) NULL DEFAULT NULL COMMENT '在线设备数量',
  `deviceOnlineRatio` double(6, 2) NULL DEFAULT NULL COMMENT '在线率',
  `deviceOfflineCount` int(9) NOT NULL COMMENT '离线设备数量',
  `deviceOfflineRatio` double(6, 2) NOT NULL COMMENT '离线率',
  `deviceStopCount` int(9) NOT NULL COMMENT '停用设备数量',
  `deviceStopRatio` double(6, 2) NOT NULL COMMENT '停用率',
  `deviceUnActiveCount` int(9) NOT NULL COMMENT '未激活设备数量',
  `deviceUnActiveRatio` double(6, 2) NOT NULL COMMENT '未激活率',
  `alarmTotalCount` int(9) NOT NULL COMMENT '今日告警数量',
  `alarmAddCount` int(9) NOT NULL COMMENT '昨日新增减少数量',
  `pushTotalCount` int(9) NOT NULL COMMENT '今日消息推送数量',
  `pushAddCount` int(9) NOT NULL COMMENT '昨日新增减少数量',
  `uploadMessageTotalCount` int(9) NOT NULL COMMENT '今日上行消息数量',
  `downloadMessageTotalCount` int(9) NOT NULL COMMENT '今日下行消息数量',
  `year` int(9) NOT NULL COMMENT '年',
  `month` int(9) NOT NULL COMMENT '月',
  `day` int(9) NOT NULL COMMENT '日',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备统计';

-- ----------------------------
-- Records of mortals_xhx_device_stat
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_device_stat` VALUES (1, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 11, 22, '2024-11-22 16:32:52', NULL, '2024-11-22 23:53:17'), (2, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 11, 23, '2024-11-23 00:03:18', NULL, '2024-11-23 23:54:30'), (3, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 11, 24, '2024-11-24 00:04:31', NULL, '2024-11-24 23:55:36'), (4, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 11, 25, '2024-11-25 00:05:37', NULL, '2024-11-25 23:56:48'), (5, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 11, 26, '2024-11-26 00:06:48', NULL, '2024-11-26 10:37:22'), (6, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 19, '2024-12-19 15:45:42', NULL, '2024-12-19 23:56:09'), (7, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 20, '2024-12-20 00:06:10', NULL, '2024-12-20 23:57:19'), (8, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 21, '2024-12-21 00:07:20', NULL, '2024-12-21 23:58:34'), (9, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 22, '2024-12-22 00:08:35', NULL, '2024-12-22 23:59:50'), (10, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 23, '2024-12-23 00:09:51', NULL, '2024-12-23 23:51:06'), (11, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 24, '2024-12-24 00:01:05', NULL, '2024-12-24 23:52:13'), (12, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 25, '2024-12-25 00:02:14', NULL, '2024-12-25 23:53:28'), (13, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 26, '2024-12-26 00:03:28', NULL, '2024-12-26 17:04:19'), (14, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 30, '2024-12-30 10:56:07', NULL, '2024-12-30 23:56:47'), (15, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2024, 12, 31, '2024-12-31 00:06:48', NULL, '2024-12-31 23:57:56'), (16, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 1, 1, '2025-01-01 00:07:56', NULL, '2025-01-01 23:59:08'), (17, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 1, 2, '2025-01-02 00:09:09', NULL, '2025-01-02 23:59:51'), (18, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 1, 3, '2025-01-03 00:00:27', NULL, '2025-01-03 22:41:39'), (19, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 1, 22, '2025-01-22 18:07:00', NULL, '2025-01-22 23:57:17'), (20, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 1, 23, '2025-01-23 00:07:17', NULL, '2025-01-23 23:54:17'), (21, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 1, 24, '2025-01-24 00:04:17', NULL, '2025-01-24 15:05:06'), (22, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 6, '2025-02-06 13:17:43', NULL, '2025-02-06 23:58:18'), (23, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 7, '2025-02-07 00:08:19', NULL, '2025-02-07 23:59:33'), (24, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 8, '2025-02-08 00:09:34', NULL, '2025-02-08 23:50:47'), (25, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 9, '2025-02-09 00:00:46', NULL, '2025-02-09 23:51:58'), (26, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 10, '2025-02-10 00:01:59', NULL, '2025-02-10 23:55:28'), (27, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 11, '2025-02-11 00:05:28', NULL, '2025-02-11 23:56:43'), (28, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 12, '2025-02-12 00:06:42', NULL, '2025-02-12 23:57:53'), (29, 1, 0, 0, 0, 0, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0.00, 0, 0, 0, 0, 0, 0, 2025, 2, 13, '2025-02-13 00:07:54', NULL, '2025-02-13 16:18:42');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_firm
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_firm`;
CREATE TABLE `mortals_xhx_firm`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `firmName` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '设备生产厂商名称',
  `firmCode` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备生产商编码',
  `firmRemark` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '设备生产厂商';

-- ----------------------------
-- Records of mortals_xhx_firm
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) UNSIGNED NOT NULL COMMENT 'id值',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注',
  `versionNum` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '版本号，默认0',
  `gmtModify` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '最后修改时间',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '主键Id生成器';

-- ----------------------------
-- Records of mortals_xhx_idgenerator
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_idgenerator` VALUES (1, 'INFO_VERSION_KEY', 1, '基础信息版本号生成因子', 0, '2019-04-18 18:00:00', NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) NULL DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) NULL DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) NULL DEFAULT 0 COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) NULL DEFAULT 1 COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `imgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) NULL DEFAULT 0 COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) NULL DEFAULT 0 COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9160 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单信息';

-- ----------------------------
-- Records of mortals_xhx_menu
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_menu` VALUES (91, '系统管理', '', 0, 9999, 1, 0, 0, NULL, 'el-icon-data-analysis', '', '', 0, 0, 3, NULL, NULL, ''), (108, '区域信息', '/area/list', 91, 65, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9001, '主页', '/index', 90, 10, 1, 0, 1, NULL, '', NULL, NULL, 0, 0, 3, '2019-02-19 16:08:09', 1, 'admin'), (9101, '用户信息', '/user/list', 91, 10, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9102, '角色信息', '/role/list', 91, 20, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9103, '资源信息', '/resource/list', 91, 30, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9104, '菜单信息', '/menu/list', 91, 40, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9105, '参数信息', '/param/list', 91, 50, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9106, '任务信息', '/task/list', 91, 60, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9107, '操作日志', '/oper/log/list', 91, 70, 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9133, '站点管理', '/site/list', 91, 0, 0, 0, 1, NULL, 'view', NULL, NULL, 0, 0, 3, '2021-11-03 21:51:48', 1, '系统管理员'), (9142, '平台系统', '/platform/list', 9153, 16, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9143, '产品', '/product/list', 9153, 15, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9144, '字典管理', '/firm/list', 0, 16, 1, 0, 0, '0', 'el-icon-office-building', NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9145, '告警记录', '/device/alarm/info/list', 9152, 11, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9146, '设备模块', '/device/module/list', 9153, 14, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9148, '告警配置', '/alarm/config/list', 9152, 13, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9149, '短信记录', '/alarm/sms/send/list', 9154, 12, 1, 0, 0, '0', 'news', NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9150, '设备消息', '/device/log/list', 9154, 10, 1, 0, 0, '0', NULL, NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9151, '设备管理', '/sitestat/maplist', 0, 2, 1, 0, 0, '0', 'el-icon-table-lamp', NULL, NULL, 0, 0, 3, NULL, NULL, NULL), (9152, '告警管理', NULL, 0, 3, 1, 0, 1, NULL, 'el-icon-sunrise', NULL, NULL, 0, 0, 3, '2022-06-30 15:43:41', 1, '系统管理员'), (9153, '平台管理', NULL, 0, 4, 1, 0, 1, NULL, 'el-icon-odometer', NULL, NULL, 0, 0, 3, '2022-06-30 15:46:22', 1, '系统管理员'), (9154, '消息管理', NULL, 0, 15, 1, 0, 1, NULL, 'el-icon-message', NULL, NULL, 0, 0, 3, '2022-07-04 17:07:20', 1, '系统管理员'), (9155, '首页', '/index', 0, 1, 1, 0, 1, NULL, 'el-icon-house', NULL, NULL, 0, 0, 3, '2022-07-05 11:41:33', 1, '系统管理员'), (9156, '资源部署', '/device/module/distribute/list', 91, 71, 1, 0, 1, NULL, 'document', NULL, NULL, 0, 0, 3, '2022-08-02 14:40:24', 1, '系统管理员'), (9157, '版本管理', '/product/version/list', 91, 72, 1, 0, 1, NULL, 'icon-xitongguanli', NULL, NULL, 0, 0, 3, '2022-08-22 14:28:04', 1, '系统管理员'), (9158, '应用发布', '/app/publish/list', 91, 73, 1, 0, 1, NULL, NULL, NULL, NULL, 0, 0, 3, '2023-02-02 17:14:30', 1, '系统管理员'), (9159, '数据分析', '/analysis', 0, 74, 1, 0, 1, NULL, 'el-icon-pie-chart', NULL, NULL, 0, 0, 3, '2023-05-17 09:38:34', 1, '系统管理员');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) NULL DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志';

-- ----------------------------
-- Records of mortals_xhx_oper_log
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) NULL DEFAULT 1 COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) NULL DEFAULT 4 COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) NULL DEFAULT 0 COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 53 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数信息';

-- ----------------------------
-- Records of mortals_xhx_param
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_param` VALUES (1, '在线状态 ', 'Device', 'deviceOnlineStatus', '0', '离线', 1, 4, 0, 'deviceOnlineStatus', NULL, NULL, NULL), (2, '在线状态 ', 'Device', 'deviceOnlineStatus', '1', '在线', 1, 4, 0, 'deviceOnlineStatus', NULL, NULL, NULL), (3, '启用状态 ', 'Device', 'status', '0', '停止', 1, 4, 0, 'status', NULL, NULL, NULL), (4, '启用状态 ', 'Device', 'status', '1', '启用', 1, 4, 0, 'status', NULL, NULL, NULL), (5, '激活状态 ', 'Device', 'active', '0', '未激活', 1, 4, 0, 'active', NULL, NULL, NULL), (6, '激活状态 ', 'Device', 'active', '1', '已激活', 1, 4, 0, 'active', NULL, NULL, NULL), (7, '发送第三方平台消息类型', 'Platform', 'sendMsgType', '0', 'http', 1, 4, 0, 'sendMsgType', NULL, NULL, NULL), (8, '发送第三方平台消息类型', 'Platform', 'sendMsgType', '1', 'jms', 1, 4, 0, 'sendMsgType', NULL, NULL, NULL), (9, '是否启用发送消息', 'Platform', 'sendSwitch', '0', '停用', 1, 4, 0, 'sendSwitch', NULL, NULL, NULL), (10, '是否启用发送消息', 'Platform', 'sendSwitch', '1', '启用', 1, 4, 0, 'sendSwitch', NULL, NULL, NULL), (11, '日志类型，', 'DeviceLog', 'logType', '0', '上报事件', 1, 4, 0, 'logType', NULL, NULL, NULL), (12, '日志类型，', 'DeviceLog', 'logType', '1', '下发服务', 1, 4, 0, 'logType', NULL, NULL, NULL), (13, '数据获取方式', 'Device', 'deviceDataSourceWay', '1', '被动拉取', 1, 4, 0, 'deviceDataSourceWay', NULL, NULL, NULL), (14, '服务对外接口地址', NULL, NULL, 'server_http_url', 'http://192.168.0.250:11078', 1, 4, 0, NULL, '2022-09-23 16:21:58', 1, '系统管理员'), (15, '设备资源部署细致', NULL, NULL, 'distribute_path', '/home/publish/app/homeDeviceUrl', 1, 4, 0, NULL, '2022-11-14 10:02:41', 1, '系统管理员'), (17, '应用发布编码', 'appPublish', NULL, 'information-publish', '信息发布屏', 1, 4, 0, 'appPublish', NULL, NULL, NULL), (18, '应用发布', 'appPublish', NULL, 'number-manager', '排号系统', 1, 4, 0, NULL, '2023-02-02 17:17:39', 1, '系统管理员'), (19, '应用发布', 'appPublish', NULL, 'guide-manager', '导视后台管理', 1, 4, 0, NULL, '2023-02-02 17:29:05', 1, '系统管理员'), (20, '应用发布', 'appPublish', NULL, 'base-manager-ui', '基础服务后台ui', 1, 4, 0, NULL, '2023-02-03 11:29:56', 1, '系统管理员'), (21, '应用发布', 'appPublish', NULL, 'portal-manager-ui', '门户服务后台管理ui', 1, 4, 0, NULL, '2023-02-03 11:32:21', 1, '系统管理员'), (22, '应用发布', 'appPublish', NULL, 'data-anaylse-ui', '数据分析前端', 1, 4, 0, NULL, '2023-02-04 11:22:26', 1, '系统管理员'), (23, '应用发布', 'appPublish', NULL, 'device-manager-ui', '设备管理前端', 1, 4, 0, NULL, '2023-02-05 13:18:23', 1, '系统管理员'), (24, '应用发布', 'appPublish', NULL, 'window-evaluate-ui', '窗口评价管理系统前端', 1, 4, 0, NULL, '2023-02-06 15:55:10', 1, '系统管理员'), (25, '应用发布', 'appPublish', NULL, 'write-doc-manager-ui', '填单管理系统前端ui', 1, 4, 0, NULL, '2023-02-06 17:29:18', 1, '系统管理员'), (26, '应用发布', 'appPublish', NULL, 'sample-form-manager-ui', '样表管理系统前端ui', 1, 4, 0, NULL, '2023-02-06 17:31:00', 1, '系统管理员'), (28, '应用发布', 'appPublish', NULL, 'access-manager-ui', '存取件系统后端ui', 1, 4, 0, NULL, '2023-02-07 15:37:17', 1, '系统管理员'), (29, '应用发布', 'appPublish', NULL, 'weChat-ui', '微官网后端ui', 1, 4, 0, NULL, '2023-02-14 15:48:03', 1, '系统管理员'), (31, '告警类型', 'AlarmConfig', 'alarmType', '0', '离线', 1, 4, 0, 'alarmType', NULL, NULL, NULL), (32, '告警级别,', 'AlarmConfig', 'alarmLevel', '0', '危险', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL), (33, '告警级别,', 'AlarmConfig', 'alarmLevel', '1', '次要', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL), (34, '告警级别,', 'AlarmConfig', 'alarmLevel', '2', '一般', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL), (35, '推送方式,', 'AlarmConfig', 'alarmPusW1ay', '0', '推送站内消息', 1, 4, 0, 'alarmPusW1ay', NULL, NULL, NULL), (36, '推送方式,', 'AlarmConfig', 'alarmPusW1ay', '1', '短信', 1, 4, 0, 'alarmPusW1ay', NULL, NULL, NULL), (37, '是否启用', 'AlarmConfig', 'enabled', '0', '不启用', 1, 4, 0, 'enabled', NULL, NULL, NULL), (38, '是否启用', 'AlarmConfig', 'enabled', '1', '启用', 1, 4, 0, 'enabled', NULL, NULL, NULL), (39, '告警类型,', 'DeviceAlarmInfo', 'alarmType', '0', '离线', 1, 4, 0, 'alarmType', NULL, NULL, NULL), (40, '告警级别', 'DeviceAlarmInfo', 'alarmLevel', '0', '危险', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL), (41, '告警级别', 'DeviceAlarmInfo', 'alarmLevel', '1', '次要', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL), (42, '告警级别', 'DeviceAlarmInfo', 'alarmLevel', '2', '一般', 1, 4, 0, 'alarmLevel', NULL, NULL, NULL), (43, '告警状态,来自工单系统', 'DeviceAlarmInfo', 'alarmStatus', '0', '未清除', 1, 4, 0, 'alarmStatus', NULL, NULL, NULL), (44, '告警状态,来自工单系统', 'DeviceAlarmInfo', 'alarmStatus', '1', '清除未确认', 1, 4, 0, 'alarmStatus', NULL, NULL, NULL), (45, '告警状态,来自工单系统', 'DeviceAlarmInfo', 'alarmStatus', '2', '清除已确认', 1, 4, 0, 'alarmStatus', NULL, NULL, NULL), (46, '是否部署', 'DeviceModuleDistribute', 'distribute', '0', '否', 1, 4, 0, 'distribute', NULL, NULL, NULL), (47, '是否部署', 'DeviceModuleDistribute', 'distribute', '1', '是', 1, 4, 0, 'distribute', NULL, NULL, NULL), (48, '应用类型', 'AppPublish', 'appType', '0', '前端', 1, 4, 0, 'appType', NULL, NULL, NULL), (49, '应用类型', 'AppPublish', 'appType', '1', '后端', 1, 4, 0, 'appType', NULL, NULL, NULL), (50, '是否部署', 'AppPublish', 'distribute', '0', '否', 1, 4, 0, 'distribute', NULL, NULL, NULL), (51, '是否部署', 'AppPublish', 'distribute', '1', '是', 1, 4, 0, 'distribute', NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_platform
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_platform`;
CREATE TABLE `mortals_xhx_platform`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `platformName` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '平台名称，名称唯一',
  `platformSn` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)',
  `sendMsgType` tinyint(2) NOT NULL COMMENT '发送第三方平台消息类型(0.http,1.jms)',
  `sendUrl` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发送参数请求地址',
  `callbackUrl` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '回调参数地址',
  `sendSwitch` tinyint(2) NOT NULL COMMENT '是否启用发送消息(0.停用,1.启用)',
  `homeUrl` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '首页地址',
  `platformRemark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '平台系统';

-- ----------------------------
-- Records of mortals_xhx_platform
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_platform` VALUES (1, '排号系统', 'phxt', 0, 'http://192.168.0.14:8090', '', 1, '', '', 1, '2022-05-31 15:56:20', 1, '2023-02-09 21:25:34'), (3, '短信系统', 'information', 0, 'baidu.baodu', '', 0, 'baidu.baodu', 'baidu.baodu', 1, '2022-07-07 15:26:03', 1, '2022-07-07 15:26:03'), (4, '存取件平台', 'cqj', 0, 'http://192.168.0.14:8090', '', 0, '', '', 1, '2022-07-26 10:28:08', 1, '2023-02-09 21:26:00'), (5, '信息发布系统', 'xxfbxt', 0, 'http://192.168.0.14:8090', '', 1, '', '', 1, '2022-08-04 09:46:43', 1, '2023-02-09 21:25:50'), (6, '评价系统', 'pjxt', 0, 'http://192.168.0.14:8090', '', 1, '', '', 1, '2022-08-17 16:33:34', 1, '2023-02-09 21:25:45'), (7, '样表系统', 'ybxt', 0, 'http://127.0.0.1:11078', NULL, 1, NULL, '', 1, '2023-02-09 15:37:38', 1, '2023-12-05 19:09:32'), (8, '自助终端', 'zzfwzd', 0, 'http://10.12.185.213:11091', '', 1, '', '自助终端', 1, '2023-02-21 16:40:18', 1, '2023-02-21 20:29:07'), (9, '存取件平台', 'cqj', 0, 'http://192.168.0.14:8090', '', 0, '', '', 1, '2023-02-26 17:59:12', 1, '2023-02-26 17:59:24'), (10, '信息公开平台', '信息公开平台', 0, '', '', 1, '', '', 1, '2023-12-06 16:41:10', NULL, NULL), (11, '填单系统', 'tdxt', 0, 'http://10.207.153.66:11078', '', 1, '', '', 1, '2023-12-24 17:39:54', 1, '2024-06-20 09:42:40'), (12, '证照系统', 'zzxt', 0, 'http://192.168.0.239:11081', '', 1, '', '', 1, '2023-12-24 17:50:53', 1, '2024-11-11 10:06:30');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_product
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_product`;
CREATE TABLE `mortals_xhx_product`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `platformId` bigint(20) NOT NULL COMMENT '关联平台',
  `productName` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '产品名称，名称唯一',
  `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品编码',
  `skinId` bigint(20) NULL DEFAULT NULL COMMENT '皮肤id',
  `skinName` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '皮肤名称',
  `homeUrl` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '首页地址',
  `eventUrl` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '事件地址，评价器使用',
  `productRemark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `createUserId` bigint(20) NOT NULL COMMENT '创建用户',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '产品';

-- ----------------------------
-- Records of mortals_xhx_product
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_product` VALUES (1, 1, '排队机', 'pdj', 1, '1920x1080', '/homeDeviceUrl/pdj/1920x1080', NULL, '', 1, '2022-05-12 10:35:18', 1, '2022-08-03 10:14:18'), (4, 1, '集中显示屏', 'jzxsp', 1, '1920x1080', '/homeDeviceUrl/jzxsp/1920x1080', NULL, '', 1, '2022-05-31 15:53:27', 1, '2022-08-02 09:28:28'), (5, 1, '评价器', 'pjq', NULL, '', '', '', '', 1, '2023-01-13 14:22:23', 1, '2023-01-13 14:22:23'), (6, 1, '信息发布屏', 'xxfbp', NULL, '', '', '', '', 1, '2023-02-01 13:39:31', 1, '2023-02-01 13:39:31'), (7, 1, '导视机', 'dsj', 1, '1920x1080', '/homeDeviceUrl/dsj/1920x1080', '', '', 1, '2023-02-01 13:41:14', 1, '2023-02-02 14:01:34'), (8, 8, '自助服务终端', 'zzfwzd', 1, '1920x1080', '/homeDeviceUrl/zzfwzd/1920x1080', NULL, '', 1, '2022-05-31 15:54:09', 1, '2023-02-21 20:25:38'), (9, 11, '填单机', 'tdj', 1, '1920x1080', '/homeDeviceUrl/tdj/1920x1080', NULL, '', 1, '2022-05-31 15:54:20', 1, '2023-12-24 17:40:20'), (12, 1, 'LED通屏', 'ledtp', NULL, NULL, 'http://www.baidu.com', NULL, '', 1, '2022-07-19 10:13:06', 1, '2022-07-19 10:13:06'), (13, 4, '取件柜', 'qjg', NULL, NULL, 'http://www.baidu.com', NULL, '', 1, '2022-07-26 10:28:42', 1, '2022-07-26 10:28:42'), (15, 6, '背靠背评价设备', 'bkb', NULL, '', '', NULL, '背靠背评价设备', 1, '2022-08-17 16:35:05', 1, '2022-08-17 16:35:05'), (18, 9, '存取件', 'cqj', 1, '1920x1080', '/homeDeviceUrl/cqj/1920x1080', '', '', 1, '2023-02-26 17:59:44', 1, '2023-02-26 19:15:10'), (19, 8, '桌面式自助服务终端', 'zmszzfwzd', 1, '1920x1080', '/homeDeviceUrl/zmszzfwzd/1920x1080', '', '', 1, '2023-02-28 11:56:24', 1, '2023-02-28 11:59:25'), (22, 1, '呼叫评价二合一', 'hjqpjq', NULL, '', '', '', '双面屏设备', 1, '2023-11-27 13:37:09', NULL, NULL), (23, 1, '窗口屏', 'ckp', 1, '1920x1080', '/homeDeviceUrl/ckp/1920x1080', '', '', 1, '2023-12-05 19:31:24', NULL, NULL), (24, 10, '智慧信息公开', 'xxgk', NULL, '', '', '', '', 1, '2023-12-06 16:41:49', NULL, NULL), (25, 7, '样表机', 'ybj', 1, '1920x1080', '/homeDeviceUrl/ybj/1920x1080', '', '', 1, '2023-12-06 23:32:19', NULL, NULL), (26, 12, '证照打印终端', 'zzdyzd', 1, '1920x1080', '/homeDeviceUrl/zzdyzd/1920x1080', '', '', 1, '2023-12-24 17:58:14', 1, '2023-12-24 18:50:26'), (28, 1, '呼叫器', 'hjq', NULL, '', '', '', '', 1, '2024-03-11 10:00:19', NULL, NULL), (29, 1, '采购网查询机', 'cgcxj', NULL, '', '', '', '', 1, '2024-04-08 11:21:23', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_product_version
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_product_version`;
CREATE TABLE `mortals_xhx_product_version`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `productId` bigint(20) NULL DEFAULT NULL COMMENT '产品Id',
  `productCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品编码',
  `productName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名称',
  `filePath` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件相对路径地址',
  `version` int(4) NULL DEFAULT NULL COMMENT '版本号',
  `remark` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注信息',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `siteCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点编号，来源基础服务平台',
  `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '站点名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '产品客户端版本';

-- ----------------------------
-- Records of mortals_xhx_product_version
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_product_version` VALUES (1, 22, 'hjqpjq', '呼叫评价二合一', '/file/uploadfile/1/1736239490085.apk', 40, '1：宣汉评价器办事指南显示不全BUG修复  2：评价器公示公告引入css文件展示', '2025-01-07 16:44:54', NULL, NULL, 1, '', '');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) NULL DEFAULT 3 COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) NULL DEFAULT 0 COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 150086 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '资源信息';

-- ----------------------------
-- Records of mortals_xhx_resource
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_resource` VALUES (101001, '系统管理-菜单管理-查看', '/menu/list,/menu/view', 3, 0, NULL, NULL, NULL, 0), (101002, '系统管理-菜单管理-维护', '/menu/add,/menu/edit,/menu/delete,/menu/save', 3, 0, NULL, NULL, NULL, 0), (101003, '系统管理-角色管理-查看', '/role/list,/role/view', 3, 0, NULL, NULL, NULL, 0), (101004, '系统管理-角色管理-维护', '/role/add,/role/edit,/role/save,/role/delete,/role/auth/list,/role/auth/distributionSource,/role/user/distributionUser,/user/list,/role/user/list,/role/user/distributionUser', 3, 0, NULL, NULL, NULL, 0), (101005, '系统管理-用户管理-查看', '/user/list,/user/view,/role/roleNameByUserId', 3, 0, NULL, NULL, NULL, 0), (101006, '系统管理-用户管理-维护', '/user/add,/user/edit,/user/delete,/user/save', 3, 0, NULL, NULL, NULL, 0), (101007, '系统管理-任务设置-查看', '/task/list,/task/view', 3, 0, NULL, NULL, NULL, 0), (101008, '系统管理-任务设置-维护', '/task/add,/task/edit,/task/delete,/task/save', 3, 0, NULL, NULL, NULL, 0), (101009, '系统管理-参数设置-查看', '/param/list,/param/view', 3, 0, NULL, NULL, NULL, 0), (101010, '系统管理-参数设置-维护', '/param/add,/param/edit,/param/delete,/param/save', 3, 0, NULL, NULL, NULL, 0), (101011, '系统管理-资源管理-查看', '/resource/list,/resource/view', 3, 0, NULL, NULL, NULL, 0), (101012, '系统管理-资源管理-维护', '/resource/add,/resource/edit,/resource/delete,/resource/save', 3, 0, NULL, NULL, NULL, 0), (101013, '系统管理-操作日志-查看', '/oper/log/list,/oper/log/view', 3, 0, NULL, NULL, NULL, 0), (101014, '系统管理-区域管理-查看', '/area/list,/area/view', 3, 0, NULL, NULL, NULL, 0), (101015, '系统管理-区域管理-维护', '/area/add,/area/edit,/area/delete,/area/save', 3, 0, NULL, NULL, NULL, 0), (150000, '控制台-主页', '/index', 3, 0, '2019-06-01 13:04:18', 1, '系统管理员', NULL), (150001, '公共资源', '/area/list', 2, 0, '2019-06-01 23:56:55', 1, '系统管理员', NULL), (150002, '设备生产厂商-菜单管理-查看', '/firm/list,/firm/view,/firm/info,/firm/export,/firm/exportExcel,/firm/downloadTemplate,/firm/download', 3, 0, NULL, NULL, NULL, 0), (150003, '设备生产厂商-菜单管理-维护', '/firm/add,/firm/edit,/firm/delete,/firm/logicDelete,/firm/save,/firm/importData', 3, 0, NULL, NULL, NULL, 0), (150004, '设备-菜单管理-查看', '/device/list,/device/view,/device/info,/device/export,/device/exportExcel,/device/downloadTemplate,/device/download,/sitestat/maplist', 3, 0, NULL, NULL, NULL, 0), (150005, '设备-菜单管理-维护', '/device/add,/device/edit,/device/delete,/device/logicDelete,/device/save,/device/importData', 3, 0, NULL, NULL, NULL, 0), (150006, '平台系统-菜单管理-查看', '/platform/list,/platform/view,/platform/info,/platform/export,/platform/exportExcel,/platform/downloadTemplate,/platform/download', 3, 0, NULL, NULL, NULL, 0), (150007, '平台系统-菜单管理-维护', '/platform/add,/platform/edit,/platform/delete,/platform/logicDelete,/platform/save,/platform/importData', 3, 0, NULL, NULL, NULL, 0), (150008, '产品-菜单管理-查看', '/product/list,/product/view,/product/info,/product/export,/product/exportExcel,/product/downloadTemplate,/product/download', 3, 0, NULL, NULL, NULL, 0), (150009, '产品-菜单管理-维护', '/product/add,/product/edit,/product/delete,/product/logicDelete,/product/save,/product/importData', 3, 0, NULL, NULL, NULL, 0), (150010, '设备日志-菜单管理-查看', '/device/log/list,/device/log/view,/device/log/info,/device/log/export,/device/log/exportExcel,/device/log/downloadTemplate,/device/log/download', 3, 0, NULL, NULL, NULL, 0), (150011, '设备日志-菜单管理-维护', '/device/log/add,/device/log/edit,/device/log/delete,/device/log/logicDelete,/device/log/save,/device/log/importData', 3, 0, NULL, NULL, NULL, 0), (150012, '设备统计-菜单管理-查看', '/device/stat/list,/device/stat/view,/device/stat/info,/device/stat/export,/device/stat/exportExcel,/device/stat/downloadTemplate,/device/stat/download', 3, 0, NULL, NULL, NULL, 0), (150013, '设备统计-菜单管理-维护', '/device/stat/add,/device/stat/edit,/device/stat/delete,/device/stat/logicDelete,/device/stat/save,/device/stat/importData', 3, 0, NULL, NULL, NULL, 0), (150014, '设备告警日志-菜单管理-查看', '/device/alarm/info/list,/device/alarm/info/view,/device/alarm/info/info,/device/alarm/info/export,/device/alarm/info/exportExcel,/device/alarm/info/downloadTemplate,/device/alarm/info/download', 3, 0, NULL, NULL, NULL, 0), (150015, '设备告警日志-菜单管理-维护', '/device/alarm/info/add,/device/alarm/info/edit,/device/alarm/info/delete,/device/alarm/info/logicDelete,/device/alarm/info/save,/device/alarm/info/importData', 3, 0, NULL, NULL, NULL, 0), (150016, '设备告警配置-菜单管理-查看', '/alarm/config/list,/alarm/config/view,/alarm/config/info,/alarm/config/export,/alarm/config/exportExcel,/alarm/config/downloadTemplate,/alarm/config/download', 3, 0, NULL, NULL, NULL, 0), (150017, '设备告警配置-菜单管理-维护', '/alarm/config/add,/alarm/config/edit,/alarm/config/delete,/alarm/config/logicDelete,/alarm/config/save,/alarm/config/importData', 3, 0, NULL, NULL, NULL, 0), (150018, '设备模块信息-菜单管理-查看', '/device/module/list,/device/module/view,/device/module/info,/device/module/export,/device/module/exportExcel,/device/module/downloadTemplate,/device/module/download', 3, 0, NULL, NULL, NULL, 0), (150019, '设备模块信息-菜单管理-维护', '/device/module/add,/device/module/edit,/device/module/delete,/device/module/logicDelete,/device/module/save,/device/module/importData', 3, 0, NULL, NULL, NULL, 0), (150020, '短信发送记录-菜单管理-查看', '/alarm/sms/send/list,/alarm/sms/send/view,/alarm/sms/send/info,/alarm/sms/send/export,/alarm/sms/send/exportExcel,/alarm/sms/send/downloadTemplate,/alarm/sms/send/download', 3, 0, NULL, NULL, NULL, 0), (150021, '短信发送记录-菜单管理-维护', '/alarm/sms/send/add,/alarm/sms/send/edit,/alarm/sms/send/delete,/alarm/sms/send/logicDelete,/alarm/sms/send/save,/alarm/sms/send/importData', 3, 0, NULL, NULL, NULL, 0), (150022, '数据分析-菜单管理-查看', '/analysis', 3, 0, '2023-05-31 15:08:23', 7, '青霆科技', NULL), (150024, '设备前端模块部署-菜单管理-查看', '/device/module/distribute/list,/device/module/distribute/view,/device/module/distribute/info,/device/module/distribute/export,/device/module/distribute/exportExcel,/device/module/distribute/downloadTemplate,/device/module/distribute/download', 3, 0, NULL, NULL, NULL, 0), (150025, '设备前端模块部署-菜单管理-维护', '/device/module/distribute/add,/device/module/distribute/edit,/device/module/distribute/delete,/device/module/distribute/logicDelete,/device/module/distribute/save,/device/module/distribute/importData', 3, 0, NULL, NULL, NULL, 0), (150026, '产品客户端版本-菜单管理-查看', '/product/version/list,/product/version/view,/product/version/info,/product/version/export,/product/version/exportExcel,/product/version/downloadTemplate,/product/version/download', 3, 0, NULL, NULL, NULL, 0), (150027, '产品客户端版本-菜单管理-维护', '/product/version/add,/product/version/edit,/product/version/delete,/product/version/logicDelete,/product/version/save,/product/version/importData', 3, 0, NULL, NULL, NULL, 0), (150028, '应用发布部署-菜单管理-查看', '/app/publish/list,/app/publish/view,/app/publish/info,/app/publish/export,/app/publish/exportExcel,/app/publish/downloadTemplate,/app/publish/download', 3, 0, NULL, NULL, NULL, 0), (150029, '应用发布部署-菜单管理-维护', '/app/publish/add,/app/publish/edit,/app/publish/delete,/app/publish/logicDelete,/app/publish/save,/app/publish/importData', 3, 0, NULL, NULL, NULL, 0), (150030, '设备模块使用频率-查看', '/device/module/use/list,/device/module/use/info,/device/module/use/exportExcel,/device/module/use/view,/device/module/use/downloadTemplate', 3, 0, '2024-07-11 11:03:25', 1, NULL, NULL), (150031, '系统管理-角色信息管理-查看', '/role/view,/role/info,/role/list,/role/downloadTemplate,/role/exportExcel', 3, 0, '2024-07-11 11:03:25', 1, NULL, NULL), (150032, '系统管理-用户信息管理-维护', '/user/batchSave,/user/save,/user/delete,/user/change/password,/user/importData,/user/logicDelete', 3, 1, '2024-07-11 11:03:25', 1, NULL, NULL), (150033, '系统管理-菜单信息管理-查看', '/menu/view,/menu/list,/menu/exportExcel,/menu/info,/menu/downloadTemplate', 3, 0, '2024-07-11 11:03:25', 1, NULL, NULL), (150034, '应用发布部署-查看', '/app/publish/info,/app/publish/view,/app/publish/downloadTemplate,/app/publish/list,/app/publish/exportExcel', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150035, '系统管理-分表索引信息管理-查看', '/table/index/view,/table/index/downloadTemplate,/table/index/exportExcel', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150036, '产品-维护', '/product/importData,/product/logicDelete,/product/batchSave,/product/upGrade,/product/delete,/product/save', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150037, '产品-查看', '/product/info,/product/list,/product/view,/product/downloadTemplate,/product/exportExcel', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150038, '系统管理-角色信息管理-维护', '/role/batchSave,/role/roleNameByUserId,/role/delete,/role/save,/role/logicDelete,/role/importData', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150039, '产品客户端版本-查看', '/product/version/downloadTemplate,/product/version/list,/product/version/view,/product/version/exportExcel,/product/version/info', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150040, '设备告警日志-查看', '/device/alarm/info/statlist,/device/alarm/info/exportExcel,/device/alarm/info/list,/device/alarm/info/info,/device/alarm/info/view,/device/alarm/info/downloadTemplate', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150041, '设备模块信息-查看', '/device/module/info,/device/module/view,/device/module/exportExcel,/device/module/downloadTemplate,/device/module/list', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150042, '设备模块使用频率-维护', '/device/module/use/logicDelete,/device/module/use/save,/device/module/use/importData,/device/module/use/batchSave,/device/module/use/delete', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150043, '系统管理-分表索引信息管理-维护', '/table/index/delete,/table/index/save,/table/index/logicDelete,/table/index/edit,/table/index/importData,/table/index/add', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150044, '系统管理-验证码信息管理-查看', '/validcode/exportExcel,/validcode/view,/validcode/downloadTemplate', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150045, '设备日志-维护', '/device/log/batchSave,/device/log/delete,/device/log/logicDelete,/device/log/importData,/device/log/save', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150046, '系统管理-角色用户管理-维护', '/role/user/distributionUser,/role/user/delete,/role/user/distributionRole,/role/user/logicDelete,/role/user/save,/role/user/batchSave,/role/user/importData', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150047, '设备告警配置-维护', '/alarm/config/logicDelete,/alarm/config/importData,/alarm/config/batchSave,/alarm/config/delete,/alarm/config/save', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150048, '系统管理-用户信息管理-查看', '/user/list,/user/exportExcel,/user/info,/user/downloadTemplate,/user/view', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150049, '系统管理-角色用户管理-查看', '/role/user/list,/role/user/view,/role/user/downloadTemplate,/role/user/exportExcel,/role/user/info', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150050, '系统管理-资源信息管理-查看', '/resource/info,/resource/list,/resource/exportExcel,/resource/downloadTemplate,/resource/view', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150051, '设备-查看', '/device/info,/device/exportExcel,/device/list,/device/indexStat,/device/view,/device/viewQrCode,/device/downloadTemplate', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150052, '系统管理-验证码信息管理-维护', '/validcode/edit,/validcode/save,/validcode/add,/validcode/delete,/validcode/importData,/validcode/logicDelete', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150053, '设备日志-查看', '/device/log/view,/device/log/exportExcel,/device/log/downloadTemplate,/device/log/list,/device/log/info', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150054, '设备-维护', '/device/enable,/device/batchRestartApp,/device/stopOrStartComsumeQueue,/device/save,/device/importData,/device/batchSave,/device/active,/device/delete,/device/logicDelete,/device/batchActive,/device/batchUpdateHall', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150055, '设备告警日志-维护', '/device/alarm/info/delete,/device/alarm/info/logicDelete,/device/alarm/info/batchSave,/device/alarm/info/save,/device/alarm/info/stats,/device/alarm/info/importData', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150056, '系统管理-角色资源权限管理-查看', '/role/auth/list,/role/auth/info,/role/auth/view,/role/auth/exportExcel,/role/auth/downloadTemplate', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150057, '短信发送记录-维护', '/alarm/sms/send/save,/alarm/sms/send/logicDelete,/alarm/sms/send/batchSave,/alarm/sms/send/importData,/alarm/sms/send/delete', 3, 1, '2024-07-11 11:03:26', 1, NULL, NULL), (150058, '站点-查看', '/site/view,/site/exportExcel,/site/downloadTemplate,/site/list,/site/info', 3, 0, '2024-07-11 11:03:26', 1, NULL, NULL), (150059, '设备统计-查看', '/device/stat/list,/device/stat/info,/device/stat/view,/device/stat/downloadTemplate,/device/stat/exportExcel', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150060, '设备生产厂商-查看', '/firm/view,/firm/info,/firm/downloadTemplate,/firm/list,/firm/exportExcel', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150061, '系统管理-操作日志管理-查看', '/oper/log/view,/oper/log/list,/oper/log/info,/oper/log/exportExcel,/oper/log/downloadTemplate', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150062, '设备告警配置-查看', '/alarm/config/view,/alarm/config/info,/alarm/config/downloadTemplate,/alarm/config/exportExcel,/alarm/config/list', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150063, '区域-维护', '/area/importData,/area/save,/area/batchSave,/area/delete,/area/logicDelete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150064, '产品客户端版本-维护', '/product/version/logicDelete,/product/version/cloneAppBySite,/product/version/publish,/product/version/importData,/product/version/save,/product/version/batchSave,/product/version/delete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150065, '系统管理-任务信息管理-维护', '/task/importData,/task/change/status,/task/logicDelete,/task/save,/task/batchSave,/task/delete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150066, '设备前端模块部署-查看', '/device/module/distribute/downloadTemplate,/device/module/distribute/exportExcel,/device/module/distribute/info,/device/module/distribute/view,/device/module/distribute/list', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150067, '短信发送记录-查看', '/alarm/sms/send/exportExcel,/alarm/sms/send/downloadTemplate,/alarm/sms/send/view,/alarm/sms/send/list,/alarm/sms/send/info', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150068, '平台系统-查看', '/platform/exportExcel,/platform/view,/platform/list,/platform/info,/platform/downloadTemplate', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150069, '设备生产厂商-维护', '/firm/save,/firm/logicDelete,/firm/batchSave,/firm/importData,/firm/delete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150070, '系统管理-角色资源权限管理-维护', '/role/auth/distributionSource,/role/auth/batchSave,/role/auth/importData,/role/auth/save,/role/auth/logicDelete,/role/auth/delete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150071, '设备模块信息-维护', '/device/module/logicDelete,/device/module/batchSave,/device/module/delete,/device/module/save,/device/module/importData', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150072, '系统管理-资源信息管理-维护', '/resource/importData,/resource/batchSave,/resource/allResources,/resource/logicDelete,/resource/save,/resource/delete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150073, '系统管理-参数信息管理-查看', '/param/downloadTemplate,/param/list,/param/info,/param/view,/param/exportExcel', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150074, '系统管理-任务信息管理-查看', '/task/view,/task/info,/task/list,/task/downloadTemplate,/task/exportExcel', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150075, '区域-查看', '/area/view,/area/downloadTemplate,/area/info,/area/exportExcel,/area/list', 3, 0, '2024-07-11 11:03:27', 1, NULL, NULL), (150076, '设备消息统计-维护', '/device/message/stat/logicDelete,/device/message/stat/importData,/device/message/stat/batchSave,/device/message/stat/delete,/device/message/stat/save', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150077, '系统管理-参数信息管理-维护', '/param/delete,/param/importData,/param/save,/param/logicDelete,/param/batchSave', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150078, '站点-维护', '/site/siteTree,/site/delete,/site/batchSave,/site/save,/site/logicDelete,/site/importData', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150079, '系统管理-操作日志管理-维护', '/oper/log/delete,/oper/log/batchSave,/oper/log/importData,/oper/log/save,/oper/log/logicDelete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150080, '设备前端模块部署-维护', '/device/module/distribute/batchSave,/device/module/distribute/importData,/device/module/distribute/logicDelete,/device/module/distribute/cloneAppBySite,/device/module/distribute/delete,/device/module/distribute/selected,/device/module/distribute/active,/device/module/distribute/save', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150081, '平台系统-维护', '/platform/logicDelete,/platform/batchSave,/platform/importData,/platform/save,/platform/delete', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150082, '应用发布部署-维护', '/app/publish/save,/app/publish/importData,/app/publish/delete,/app/publish/active,/app/publish/logicDelete,/app/publish/batchSave', 3, 1, '2024-07-11 11:03:27', 1, NULL, NULL), (150083, '系统管理-菜单信息管理-维护', '/menu/batchSave,/menu/importData,/menu/change/status,/menu/upOrDown,/menu/save,/menu/logicDelete,/menu/delete', 3, 1, '2024-07-11 11:03:28', 1, NULL, NULL), (150084, '设备统计-维护', '/device/stat/delete,/device/stat/save,/device/stat/syncDeviceStat,/device/stat/batchSave,/device/stat/importData,/device/stat/logicDelete', 3, 1, '2024-07-11 11:03:28', 1, NULL, NULL), (150085, '设备消息统计-查看', '/device/message/stat/info,/device/message/stat/view,/device/message/stat/exportExcel,/device/message/stat/downloadTemplate,/device/message/stat/list', 3, 0, '2024-07-11 11:03:28', 1, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) NULL DEFAULT 2 COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) NULL DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息';

-- ----------------------------
-- Records of mortals_xhx_role
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_role` VALUES (1, '管理员', '类似admin', 0, NULL, '2019-03-04 11:41:06', 1, 'admin', NULL), (2, '111', NULL, 2, NULL, '2023-07-18 15:56:21', 7, '青霆科技', NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) NULL DEFAULT NULL COMMENT '资源ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 294 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色资源权限';

-- ----------------------------
-- Records of mortals_xhx_role_auth
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_role_auth` VALUES (233, 1, 101001, NULL), (234, 1, 101002, NULL), (235, 1, 101003, NULL), (236, 1, 101004, NULL), (237, 1, 101005, NULL), (238, 1, 101006, NULL), (239, 1, 101007, NULL), (240, 1, 101008, NULL), (241, 1, 101009, NULL), (242, 1, 101010, NULL), (243, 1, 101011, NULL), (244, 1, 101012, NULL), (245, 1, 101013, NULL), (246, 1, 101014, NULL), (247, 1, 101015, NULL), (248, 1, 150000, NULL), (249, 1, 150001, NULL), (250, 1, 150004, NULL), (251, 1, 150005, NULL), (252, 1, 150002, NULL), (253, 1, 150003, NULL), (254, 1, 150006, NULL), (255, 1, 150007, NULL), (256, 1, 150008, NULL), (257, 1, 150009, NULL), (258, 1, 150010, NULL), (259, 1, 150011, NULL), (260, 1, 150012, NULL), (261, 1, 150013, NULL), (262, 1, 150014, NULL), (263, 1, 150015, NULL), (264, 1, 150016, NULL), (265, 1, 150017, NULL), (266, 1, 150018, NULL), (267, 1, 150019, NULL), (268, 1, 150020, NULL), (269, 1, 150021, NULL), (270, 1, 150022, NULL), (271, 1, 150024, NULL), (272, 1, 150025, NULL), (273, 1, 150026, NULL), (274, 1, 150027, NULL), (275, 1, 150028, NULL), (276, 1, 150029, NULL), (277, 2, 101001, NULL), (278, 2, 101002, NULL), (279, 2, 101003, NULL), (280, 2, 101004, NULL), (281, 2, 101005, NULL), (282, 2, 101006, NULL), (283, 2, 101007, NULL), (284, 2, 101008, NULL), (285, 2, 101009, NULL), (286, 2, 101010, NULL), (287, 2, 101011, NULL), (288, 2, 101012, NULL), (289, 2, 101013, NULL), (290, 2, 101014, NULL), (291, 2, 101015, NULL), (292, 2, 150000, NULL), (293, 2, 150001, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) NULL DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) NULL DEFAULT NULL COMMENT '用户ID',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色用户';

-- ----------------------------
-- Records of mortals_xhx_role_user
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_role_user` VALUES (1, 1, 3, NULL), (2, 1, 8, NULL), (3, 1, 9, NULL), (4, 1, 7, NULL), (5, 1, 6, NULL), (6, 1, 10, NULL), (7, 1, 11, NULL), (8, 1, 2057, NULL), (9, 1, 2065, NULL), (10, 1, 2066, NULL), (11, 1, 2067, NULL), (12, 1, 2068, NULL), (13, 1, 2069, NULL), (14, 1, 2070, NULL), (15, 1, 2071, NULL), (16, 1, 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_site
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_site`;
CREATE TABLE `mortals_xhx_site`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `siteName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '站点名',
  `parentId` bigint(11) NOT NULL COMMENT '父级id',
  `ancestors` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `address` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '地址',
  `mobile` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '电话',
  `introduce` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '单位介绍',
  `workday1` tinyint(1) NULL DEFAULT NULL COMMENT '周一 1上班 0不上',
  `workday2` tinyint(1) NULL DEFAULT NULL COMMENT '周二 1上班 0不上',
  `workday3` tinyint(1) NULL DEFAULT NULL COMMENT '周三 1上班 0不上',
  `workday4` tinyint(1) NULL DEFAULT NULL COMMENT '周四 1上班 0不上',
  `workday5` tinyint(1) NULL DEFAULT NULL COMMENT '周五 1上班 0不上',
  `workday6` tinyint(1) NULL DEFAULT NULL COMMENT '周六 1上班 0不上',
  `workday7` tinyint(1) NULL DEFAULT NULL COMMENT '周日 1上班 0不上',
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '站点编号',
  `summary` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '中心介绍',
  `orderNum` int(9) NULL DEFAULT 0 COMMENT '排序字段',
  `status` tinyint(2) NULL DEFAULT 1 COMMENT '站点状态 ，0，停用，1，正常 默认1',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '变更时间',
  `updateUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '变更用户loginName',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `createUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建用户loginName',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点信息表';

-- ----------------------------
-- Records of mortals_xhx_site
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_sitestat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sitestat`;
CREATE TABLE `mortals_xhx_sitestat`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `siteId` bigint(20) NULL DEFAULT NULL COMMENT '站点Id，来源基础服务平台',
  `siteCode` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点编号，来源基础服务平台',
  `siteName` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '站点名称',
  `deviceTotal` int(9) NULL DEFAULT NULL COMMENT '设备总数',
  `onlineCount` int(9) NULL DEFAULT NULL COMMENT '在线数量',
  `offlineCount` int(9) NULL DEFAULT NULL COMMENT '离线数量',
  `stopCount` int(9) NULL DEFAULT NULL COMMENT '停用数量',
  `unActiveCount` int(9) NOT NULL COMMENT '待激活数量',
  `createTime` datetime(0) NOT NULL COMMENT '创建时间',
  `updateUserId` bigint(20) NULL DEFAULT NULL COMMENT '更新用户',
  `updateTime` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '站点统计';

-- ----------------------------
-- Records of mortals_xhx_sitestat
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_sitestat` VALUES (1, 1, '510109000000-0002', 'xxxx服务中心', 0, 0, 0, 0, 0, '2024-11-22 16:32:50', 1, '2025-02-13 16:17:16');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_table_index
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_table_index`;
CREATE TABLE `mortals_xhx_table_index`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `tableName` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名称',
  `tableMark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表标识',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 17 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分表索引信息';

-- ----------------------------
-- Records of mortals_xhx_table_index
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_table_index` VALUES (1, 'mortals_xhx_access_log_202302', '202302', '2023-01-11 19:01:56'), (2, 'mortals_xhx_access_log_202301', '202301', '2023-01-11 19:01:56'), (3, 'mortals_xhx_access_log_202304', '202304', '2023-01-11 19:01:56'), (4, 'mortals_xhx_access_log_202303', '202303', '2023-01-11 19:01:56'), (5, 'mortals_xhx_biz_log_202301', '202301', '2023-01-11 19:01:56'), (6, 'mortals_xhx_biz_log_202303', '202303', '2023-01-11 19:01:56'), (7, 'mortals_xhx_biz_log_202302', '202302', '2023-01-11 19:01:56'), (8, 'mortals_xhx_biz_log_202304', '202304', '2023-01-11 19:01:56'), (9, 'mortals_xhx_error_log_202301', '202301', '2023-01-11 19:01:56'), (10, 'mortals_xhx_error_log_202302', '202302', '2023-01-11 19:01:56'), (11, 'mortals_xhx_error_log_202303', '202303', '2023-01-11 19:01:56'), (12, 'mortals_xhx_error_log_202304', '202304', '2023-01-11 19:01:56'), (13, 'mortals_xhx_operate_log_202301', '202301', '2023-01-11 19:01:56'), (14, 'mortals_xhx_operate_log_202302', '202302', '2023-01-11 19:01:56'), (15, 'mortals_xhx_operate_log_202303', '202303', '2023-01-11 19:01:56'), (16, 'mortals_xhx_operate_log_202304', '202304', '2023-01-11 19:01:56');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) NULL DEFAULT 0 COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '任务执行参数',
  `excuteHost` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) NULL DEFAULT 1 COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) NULL DEFAULT 0 COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime(0) NULL DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) NULL DEFAULT 0 COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务信息';

-- ----------------------------
-- Records of mortals_xhx_task
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_task` VALUES (2, '分表创建任务', 'tableIndexService', 0, 'tableIndexService', NULL, NULL, 1, 0, '00:30', NULL, '172.17.0.1', '2025-02-13 00:30:00', 0, '2021-08-12 11:07:23', 1, '系统管理员'), (3, '设备状态任务', 'deviceStatTask', 0, 'DeviceStatTask', NULL, '', 4, 360, '00', NULL, '172.17.0.1', '2025-02-13 16:17:16', 0, '2022-03-09 15:59:51', 1, '系统管理员'), (4, '站点设备统计', 'siteStatTask', 0, 'SiteStatTask', NULL, '', 4, 360, '00', NULL, '172.17.0.1', '2025-02-13 16:17:16', 0, '2022-06-30 17:15:21', 1, '系统管理员'), (5, '设备统计任务', 'deviceTotalStatTask', 0, 'DeviceTotalStatTask', NULL, '', 4, 600, '00', NULL, '172.17.0.1', '2025-02-13 16:18:42', 0, '2022-07-05 16:33:30', 1, '系统管理员'), (6, '短信发送任务', 'smsSendTask', 0, 'SmsSendTask', NULL, NULL, 3, 360000, '00:00', NULL, '172.17.0.1', '2023-06-18 13:27:02', 0, '2022-07-05 16:34:25', 1, '系统管理员'), (7, '用户同步', 'syncUserTask', 0, 'SyncUserTask', NULL, NULL, 1, 0, '16:30', NULL, '172.17.0.1', '2025-02-12 16:30:01', 0, '2022-07-06 10:49:48', 1, '系统管理员');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_uploadfile
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_uploadfile`;
CREATE TABLE `mortals_xhx_uploadfile`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `fileName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件路径',
  `fileType` tinyint(2) NULL DEFAULT NULL COMMENT '文件类型，1 excel ,2 img,3 zip, 4 pdf',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '上传文件';

-- ----------------------------
-- Records of mortals_xhx_uploadfile
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) NULL DEFAULT NULL COMMENT '用户类型(0.系统用户,1.普通用户,2.工作人员)',
  `siteIds` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属站点id,多个逗号分隔',
  `areaCodes` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属区域code,多个逗号分隔',
  `status` tinyint(2) NULL DEFAULT NULL COMMENT '用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime(0) NULL DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '最后一次登录地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息业务';

-- ----------------------------
-- Records of mortals_xhx_user
-- ----------------------------
BEGIN;
INSERT INTO `mortals_xhx_user` VALUES (1, 'admin', 'de7abfba6f99cb20b794867cdf664445', NULL, '系统管理员', '13808095770', NULL, NULL, NULL, 1, '1', '510109000000', 1, '2022-06-02 09:12:26', 1, 'admin', NULL, '');
COMMIT;

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) NULL DEFAULT 0 COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime(0) NULL DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '验证码信息';

-- ----------------------------
-- Records of mortals_xhx_valid_code
-- ----------------------------
BEGIN;
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
